#ifndef __COLLIDE_H__
#define __COLLIDE_H__

#include <allegro.h>

typedef struct CMask
{
    int width, height;
    unsigned long int mask[32];
} CMask;

CMask *create_mask(BITMAP *bmp);
void destroy_mask(CMask *mask);
CMask *copy_mask(CMask *mask);
bool check_collision(CMask *mask1, int x1, int y1, CMask *mask2, int x2, int y2);

#endif // __COLLIDE_H__